%global momorel 1
Summary: Simple interface for editing the font path for the X font server.
Name: chkfontpath-momonga
Version: 1.1.1
Release: %{momorel}m
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: chkfontpath.rb
Prereq: XFree86-xfs SysVinit
Requires: ruby
Provides: chkfontpath
Obsoletes: chkfontpath <= 1.9.6-3m
BuildArchitectures: noarch

%description
This is a simple terminal mode program for configuring the directories
in the X font server's path. It is mostly intended to be used
`internally' by RPM when packages with fonts are added or removed, but
it may be useful as a stand-alone utility in some instances.

"chkfontpath.rb" is a reimplementation of "chkfontpath.c" by Ruby.

%prep

%build

%install
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__install} -m755 %{SOURCE0} %{buildroot}%{_sbindir}/chkfontpath

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/*

%changelog
* Mon Aug  2 2004 zunda <zunda at freeshell.org>
- (1.1.1-1m)
- chkfontpath.rb: FontPath::normalize(): validate unix/:7100, thanks to mute

* Tue Jul 20 2004 mutecat <mutecat@momonga-linux.org>
- (1.1.0-2m)
- XF86Config-4 minaiyouni.

* Tue Nov 18 2003 zunda <zunda at freeshell.org>
- (1.1.0-1m)
- chkfontpath.rb: totally renovated
- can handle a situation where one of the three files is missing.
- makes backup files with extension .chkfontpath

* Fri Nov 14 2003 zunda <zunda at freeshell.org>
- (1.0.1-1m)
- chkfontpath.rb: hopefully better handling of errors, still does not
  work one of XF86Config, XF86Config-4, fs/config is missing.

* Thu Nov 13 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.0-1m)
- Initial specfile.
- "chkfontpath.rb" is a reimplementation of "chkfontpath.c" by Ruby.
  It is written by Kenta MURATA.
- revised many code by Zunda.
